bi restrict price list user (#1,301)
Status: OPEN
Date: 09/06/2021
ID: 1,301
S/O number: SO2021/1394612
Reviewer: Hiral Bhatt
Module Name: bi_restrict_pricelist_users
Version: 14.0
Tags:

Assigned to
Contact
Tirth Mehta
tirth.mehta@browseinfo.in

Description
dear sir,
i purchase bi restrict price list user app but some error while selecting product pls look into this matter urgently

Error:
Odoo Server Error

Traceback (most recent call last):
File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/home/odoo/src/odoo/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/home/odoo/src/odoo/addons/sale_product_configurator/controllers/main.py", line 24, in configure
return request.env['ir.ui.view']._render_template("sale_product_configurator.configure", {
File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1709, in _render_template
return self.browse(self.get_view_id(template))._render(values, engine)
File "/home/odoo/src/odoo/addons/web_editor/models/ir_ui_view.py", line 28, in _render
return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1717, in _render
return self.env[engine]._render(self.id, qcontext)
File "/home/odoo/src/odoo/odoo/addons/base/models/ir_qweb.py", line 55, in _render
result = super(IrQWeb, self)._render(id_or_xml_id, values=values, **context)
File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 258, in _render
self.compile(template, options)(self, body.append, values or {})
File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 338, in _compiled_fn
raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/odoo/src/odoo/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
odoo.addons.base.models.qweb.QWebException: Due to security restrictions, you are not allowed to access 'Pricelist Rule' (product.pricelist.item) records.

Records: Product: FORTUNE TMT 500 D (id=34)
User: AASHISH JAISWAL (id=13)

This restriction is due to the following rules:
- product pricelist item company rule
- Restrict PriceList Item User
- Restrict PriceList Item All Doc

Note: this might be a multi-company issue.

Contact your administrator to request access if necessary.

Message and communication history